//
//  sharedProjectSetting.xcconfig
//
//  Created by Smaato Inc on 08/04/2019.
//  Copyright © 2019 Smaato Inc. All rights reserved.
//

// All needed descriptions are here: https://clang.llvm.org/docs/DiagnosticsReference.html

// clang-format off
CLANG_WARN_ASSIGN_ENUM = YES
CLANG_WARN_IMPLICIT_SIGN_CONVERSION = YES//YES_ERROR
CLANG_WARN_OBJC_IMPLICIT_ATOMIC_PROPERTIES = YES
CLANG_WARN_OBJC_INTERFACE_IVARS = YES
CLANG_WARN_STRICT_PROTOTYPES = YES
CLANG_WARN_SUSPICIOUS_IMPLICIT_CONVERSION = YES//YES_ERROR
GCC_WARN_ABOUT_MISSING_FIELD_INITIALIZERS = YES
GCC_WARN_SHADOW = YES
GCC_WARN_SIGN_COMPARE = YES
GCC_WARN_STRICT_SELECTOR_MATCH = YES
GCC_WARN_UNKNOWN_PRAGMAS = YES
OTHER_CFLAGS = -Wunreachable-code -Wnullable-to-nonnull-conversion -Wmethod-signatures -Wfloat-equal -Wfor-loop-analysis -Wkeyword-macro -Wunused-macros
RUN_CLANG_STATIC_ANALYZER = YES

//Potentialy usefull but not in all cases:
//CLANG_WARN_OBJC_REPEATED_USE_OF_WEAK = YES
//OTHER_CFLAGS = -Wunused-parameter -Wdirect-ivar-access

// clang-format on
